@import url("https://fonts.googleapis.com/css?family=Acme|Lobster|Patua+One|Rubik|Sniglet");

* {
  box-sizing: border-box;
}

/*#############  body html  ##############*/

body{
  cursor: context-menu;
  text-transform: capitalize;
  scroll-behavior: smooth;
    --bggradient: linear-gradient(to bottom,#f9a826,#f9a826,gold,gold );
  --light-gray: rgba(255, 255, 255, 0.877);
}
html{
  scroll-behavior: smooth;
}



/*#############  end of body html  ##############*/




/*#############  header & section  ##############*/




header,
section {
  overflow-x: hidden;
}



/*#############  end of header & section  ##############*/








/*#############  dropdowncontent & anchor  ##############*/



.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 2px 15px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;


}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;font-family: 'Cinzel', serif;
font-size: 0.9rem;

}



/*#############  end of dropdown-content anchor  ##############*/


/*#############  navbar background info  ##############*/



.info{
  background:black;
  opacity: 95%;
}


/*#############  navbar background info  ##############*/



/*#############  dropdown-content anchor & hover  ##############*/


.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}



/*#############  end of dropdown-content anchor & hover  ##############*/




/*#############  header nav-item  ##############*/




header .nav-item:last-child {
  padding-right: 5em;

}

header .nav-item {
  padding: 0.2rem;
  font-size: 1.2rem;


}

/*#############  end of header nav-item  ##############*/




/*#############  header navbar-brand & nav-link  ##############*/


header .navbar-brand {
  padding-left: 8rem;font-family: 'Abel', sans-serif;
  font-size: 1.8rem;
  transition: all 0.5s ease-in;
  letter-spacing: 0.3rem;
  text-align: center;

}
header .navbar-brand:hover{color: white;transform: scale(1.1);transition: all 0.5s ease-in-out;}
header .nav-link:hover {
  color:goldenrod;
}
header .nav-link{
  font-family: 'Cinzel', serif;

}



/*#############  end of header navbar-brand & nav-link  ##############*/




/*#############   header row & column   ##############*/



header .row .col-md-7 {
  padding: 22vmin 1vmin;
  padding-bottom: 35vmin;
}

header .row .col-md-5 {
  padding: 4.2vmin 1vmin;
}

header .row .col-md-5 img {
  width: 100%;
}



/*#############  end of header row & column  ##############*/


/*#############  header background-color  ##############*/

header {
  background: #ff512f;
  /* fallback for old browsers */
  background: var(--bggradient);
}


/*#############  header background-color  ##############*/


/*#############  header container columns  ##############*/


header .container .col-md-7 {
  font-family: "Rubik", sans-serif;
}

header .container .col-md-7 h6 {
  padding: 1vmin;
  letter-spacing: 2px;
}

header .container .col-md-7 h1 {
  font-size: 8.5vmin;
  font-weight: bold;
  padding: 0.1em 0em;
}

header .container .col-md-7 p {
  padding: 1vmin 5vmin;
}


/*#############  end of header container columns  ##############*/



/*#############  primary-btn & animation  ##############*/




.primary-btn {
  border-radius: 30px ;
  font-weight: bold;
  transition: all 1s ease-in;
  color:goldenrod;
   animation: bounce 0.8s;
  animation-direction: alternate;  animation-iteration-count: infinite;
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1), 0 10px 10px -5px rgba(0, 0, 0, 0.04);



}
.primary-btn:hover{
  transition: all 1s ease-out;
  color:white;
  background-color: goldenrod;
border-color: goldenrod;
}

@keyframes bounce { 
  0% { transform: translateY(0); }
  100% { transform: translateY(50%); }
}


/*############# end of  primary-btn & animation  ##############*/



/********** section 1 row - column - panel  **************/

.section-1 {
  padding: 10vmin 0vmin;
}

.section-1 .row .col-md-6 .pray img {
  opacity: 0.8;
  width: 80%;
  border-radius: 0.2em;
}

.section-1 .row .col-md-6:last-child {
  position: relative;
}

.section-1 .row .col-md-6 .panel {
  position: absolute;
  top: 7vmin;
  left: -18vmin;
  background: white;
  border-radius: 3px;
  text-align: left;
  padding: 13vmin 5vmin 20vmin 10vmin;
  box-shadow: 0px 25px 42px rgba(0, 0, 0, 0.2);
  font-family: var(--Rubik);
  z-index: 1;
}

.section-1 .row .col-md-6 .panel h1 {
  font-weight: bold;
  padding: 0.4em 0;
  font-size: 2em;
}

.section-1 .row .col-md-6 .panel p {
  font-size: 0.9em;
  color: rgba(0, 0, 0, 0.5);
}



/********** end of section 1 row - column - panel  **************/




/*#############  section 2 cover - overlay -content  ##############*/

.cover {
  width: 100%;
  height: 55vmin;
  background: url("../assets/cover.jpeg");
  background-position: -24rem -19rem;
  background-size: 150%;
  position: relative;
}

.cover .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
}

.cover .content {
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  padding-top: 19vmin;
}

.cover .content > h1 {
  font-family: var(--Patua);
  font-size: 6vmin;
  color: whitesmoke;
}

.cover .content > p {
  font-family: var(--Rubik);
  font-size: 2vmin;
  color: #e5e5e5;
}





/*############# end of section 2 cover - overlay -content  ##############*/




/*#############  numbers - rect  ##############*/



.numbers .rect {
  position: relative;
  z-index: 1;
  background: white;
  width: 17rem;
  height: 12rem;
  padding-top: 3.5vmin;
  margin: 1rem;
  border-radius: 0.5em;
  box-shadow: 1px 2px 50px 0px rgb(255, 255, 0,0.4);
}

.numbers {
  margin-top: -15vmin;
}

.numbers .rect h1 {
  font-size: 5rem;
  color: orange;
}

.numbers .rect > p {
  font-family: var(--Patua);
}


/*############# end of numbers - rect  ##############*/


/*#############  footer - span input ::placeholder  input-group  input-group-text  column-icon & hover   ##############*/


footer {
  background: rgba(0, 0, 0);
  overflow-x: hidden;
  padding: 14vmin 18vmin;
  font-family: k2d,sans-serif;
}

footer p > span {
  color:goldenrod;
}

footer input {
  border: none !important;
}

footer input::placeholder {
  color: white !important;
  font-family: cinzel,sans-serif
}

footer .input-group .input-group-text{
  background:white;
  border: none;
}

footer .column i {
  color:lightgrey;
  cursor: pointer;
  font-size: 1.2rem;
  margin-top: 1.2rem;
  transition: all 0.5s ease-in
}
footer .column i:hover {
  color:orange;
  transition: all 0.5s ease-out;
}
/* It is Adjacent sibling combinator */

footer .column i + i {
  padding:0 0.3em;
}


/*############# end of footer - span input ::placeholder  input-group  input-group-text  column-icon & hover   ##############*/



/*############# groceries & recipe single-item   ##############*/


.single-item{
  transition:all 0.5s linear;
}

.single-item:hover{
  box-shadow: 0px 10px 15px rgba(0,0,0);

}


/*#############  end of groceries & recipe single-item  ##############*/




/*############# groceries & recipe img-container & store-img  ##############*/


.img-container{
  position: relative;
  overflow: hidden;
  cursor: pointer;
}
 

.img-container:hover .store-img{
  transform: scale(1.1);

}


.store-img{
  transition: all 1s ease-in-out;
}


/*############# end of groceries & recipe img-container  ##############*/






/*#############  groceries & recipe store-item-icon & hover  ##############*/


.store-item-icon{
position: absolute;
bottom: 0;
right: 0;
padding: 0.75rem;
background:orange;
border-top-left-radius:1rem;
transition: all 0.7s ease-in-out;
transform: translate(100%,100%);
color:white;
font-size: 1.3rem;
}



.store-item-icon:hover {
  background:transparent;
  color:orange;
}


.img-container:hover .store-item-icon{
  transform: translate(0%,0%);
}



/*#############  groceries & recipe store-item-icon & hover  ##############*/







/*#############  groceries & recipe  card-body card-text & grocy-text ##############*/


.card-body{
    background:lemonchiffon;
}


.card-text{
font-family: 'K2D', sans-serif;
margin-top: 0.7rem;

}


.grocy-text {
  
text-align: center;
  font-family: 'Inria Serif', serif;
  font-size: 3.5rem;
  color:azure;
  margin-top: 3.8rem;
}


/*############# end of  groceries & recipe  card-body  card-text & grocy-text ##############*/












/*############# end of back to top & icon ##############*/







.back-to-top {
  position: fixed;
  right: 15px;
  bottom: 15px;
  z-index: 99999;

}
.back-to-top i {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 25px;
  width: 60px;
  height: 60px;
  border-radius: 50px;
  background:darkgoldenrod;
  color:white;
  transition: all 0.4s ease-in-out;
  box-shadow: ;
}

.back-to-top i:hover {
  background:transparent;
color:darkgoldenrod;
}


/*############# end of back to top & icon ##############*/


.favheart {
    position: absolute;
    top: 10px;
    right: 35px;
    color:white;
    z-index: 9999;
}
.like {
    color:red !important;
}
.loader {
   z-index: 99999;
    width: 100vw;
    height: 100vh;
    position: fixed;
    background: rgba(10, 10, 10, 0.87);
    display: flex;
    align-items: center;
    justify-content: center;
}
.truncated {
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    display: -webkit-box;
}